# *
# *	Copyright (c) 2000 Alberto Reggiori / <alberto.reggiori@jrc.it>
# *	ISIS/RIT, Joint Research Center Ispra (I)
# *
# * NOTICE
# *
# * This product is distributed under a BSD/ASF like license as described in the 'LICENSE'
# * file you should have received together with this source code. If you did not get a
# * a copy of such a license agreement you can pick up one at:
# *
# *     http://xml.jrc.it/RDFStore/LICENSE
# *
# *
package RDF::Store::VirtualModel;
{
use Carp;
use RDF::Store::Model;
use RDF::VirtualModel;

@RDF::Store::VirtualModel::ISA = qw( RDF::Store::Model RDF::VirtualModel );

sub new {
	my ($pkg) = shift;
	bless $pkg->SUPER::new(@_), $pkg;
};

sub getGroundModel {
};

1;
};

__END__

=head1 NAME

RDF::Store::VirtualModel - implementation of the VirtualModel RDF API

=head1 SYNOPSIS

	use RDF::Store::VirtualModel;
        use RDF::Store::NodeFactory;
        use RDF::Store::FindIndex;
        use Data::MagicTie;

        my $factory= new RDF::Store::NodeFactory();
        my $index_db={};
        tie %{$index_db},"Data::MagicTie",'index/triples',(Q => 20);
        my $index=new RDF::Store::FindIndex($index_db);
        my $virtual = new RDF::Store::VirtualModel($factory,undef,$index,undef);

=head1 DESCRIPTION

An RDF::VirtualModel implementation using RDF::Store::Model and Digested URIs.

=head1 SEE ALSO

RDF::VirtualModel(3) RDF::Store::Model(3) Digest(3) and RDF::Store::SchemaModel(3)

=head1 AUTHOR

	Alberto Reggiori <alberto.reggiori@jrc.it>
